Jobs

Get job results

GET
/v3/aftermarket/customers/{customerId}/jobs/{jobId}/results

Retrieves the results of a job that has been completed using the jobId. The results are streamed back to the client.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

jobId*string

A unique identifier for the job

Formatuuid
customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Header Parameters

X-Request-Id?string

A unique identifier for the request

Response Body

Result CSV file is streamed back to the client on success

response?unknownapplication/octet-stream
Example Request
curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/results'
Example Response
null